linkspect API docs linkspect.com

Pagination

Lists (GET /v1/checks, GET /v1/geos) are returned page by page:

{
  "items": [ … ],
  "next_cursor": "…"
}
curl "https://api.linkspect.com/v1/checks?limit=50&status=completed" \
  -H "Authorization: Bearer $LINKSPECT_KEY"

curl "https://api.linkspect.com/v1/checks?limit=50&status=completed&cursor=$NEXT" \
  -H "Authorization: Bearer $LINKSPECT_KEY"

GET /v1/checks lists your key's checks, newest first, without cohorts and user filters (get a single check for those). It can be filtered by status, created_after and created_before.